package vip.xiaonuo.hr.modular.write.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.hr.modular.write.entity.HrPeopleWrite;
import vip.xiaonuo.hr.modular.write.mapper.HrPeopleWriteMapper;
import vip.xiaonuo.hr.modular.write.service.IHrPeopleWriteService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import vip.xiaonuo.money.entity.MoneyBusiness;
import vip.xiaonuo.money.param.MoneyParam;

/**
 * <p>
 * 人事月均人数填报 服务实现类
 * </p>
 *
 * @author author
 * @since 2025-05-19
 */
@Service
public class HrPeopleWriteServiceImpl extends ServiceImpl<HrPeopleWriteMapper, HrPeopleWrite> implements IHrPeopleWriteService {

    @Override
    public Page<HrPeopleWrite> listBalance(MoneyParam pageParam) {
        QueryWrapper<HrPeopleWrite> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(StringUtils.isNotBlank(pageParam.getOrgId()), "org_id", pageParam.getOrgId());
        Page<HrPeopleWrite> page = new Page<HrPeopleWrite>(pageParam.getPageNum(), pageParam.getPageSize());
        return this.page(page, queryWrapper);
    }
}
